Subject: bug#48114: Disarchive occasionally fails tests

From: Ludovic Courtès <[email-masked]>
Date: Fri, 14 May 2021 15:51:10 +0200

Hi Timothy,

Timothy Sample <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Timothy Sample <[email-masked]> skribis:
>>
>>> In Disarchive, I can rewrite the generator without regex.  I’ll do that
>>> and see what I can do about the “Gave up!” issue.
>>
>> Did you have a chance to look into it?
>
> I just pushed b9f0e78238e6186d28d738c7c5355a56557ce84f, which updates
> Disarchive to 0.2.1, which has fixes for the test suite.  The giving up
> problem has not been solved outright, but it should be practically
> impossible to trigger.  (In fact, it probably *is* impossible to trigger
> given how few PRNG states there are....)

Yay!  Thanks for the quick reply!

I’ll have ‘guix’ depend on Disarchive and report back.

Ludo’.